API Reference
Integrity Alerts
2 endpoints· Auth: JWT or API Key
get
/api/v1/console/audit/alerts JWT API KeyGet alerts
Query parameters
| Acknowledged boolean | — |
| Kind string | — |
| Severity string | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/audit/alerts" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/audit/alerts/{id}/acknowledge JWT API KeyCreate acknowledge
Path parameters
| idrequired string (uuid) | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/audit/alerts/{id}/acknowledge" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu